\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - Approximation of Ridges and Umbilics on Triangulated Surface Meshes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Enumerations
Enums
Approximation of Ridges and Umbilics on Triangulated Surface Meshes Reference

##

## Enumerations
enum | CGAL::Ridge_order { CGAL::Ridge_order_3 = 3, CGAL::Ridge_order_4 }
| The enum `Ridge_order` describes the order of differential quantities used to distinguish elliptic and hyperbolic ridges. More...
enum | CGAL::Ridge_type { CGAL::MAX_ELLIPTIC_RIDGE = 1, CGAL::MAX_HYPERBOLIC_RIDGE, CGAL::MAX_CREST_RIDGE, CGAL::MIN_ELLIPTIC_RIDGE, CGAL::MIN_HYPERBOLIC_RIDGE, CGAL::MIN_CREST_RIDGE }
| The enum `Ridge_type` describes the types for the class `Ridge_line`. More...
enum | CGAL::Umbilic_type { CGAL::NON_GENERIC_UMBILIC, CGAL::ELLIPTIC_UMBILIC, CGAL::HYPERBOLIC_UMBILIC }
| The enum `Umbilic_type` describes the types for the class `Umbilic`. More...

## Enumeration Type Documentation

enum CGAL::Ridge_order

The enum `Ridge_order` describes the order of differential quantities used to distinguish elliptic and hyperbolic ridges.

Third or fourth order quantities may be used as explained in section ridgemesh of the user manual.

See Also
  `Ridge_approximation`

`#include <CGAL/Ridges.h>`

Enumerator
Ridge_order_3 |
Ridge_order_4 |

enum CGAL::Ridge_type

The enum `Ridge_type` describes the types for the class `Ridge_line`.

See Also
  `Ridge_line`

`#include <CGAL/Ridges.h>`

Enumerator
MAX_ELLIPTIC_RIDGE |
MAX_HYPERBOLIC_RIDGE |
MAX_CREST_RIDGE |
MIN_ELLIPTIC_RIDGE |
MIN_HYPERBOLIC_RIDGE |
MIN_CREST_RIDGE |

enum CGAL::Umbilic_type

The enum `Umbilic_type` describes the types for the class `Umbilic`.

See Also
  `Umbilic`

`#include <CGAL/Umbilics.h>`

Enumerator
NON_GENERIC_UMBILIC |
ELLIPTIC_UMBILIC |
HYPERBOLIC_UMBILIC |